> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group

> Get a group and it's associated business IDs.   
For more information about the group system, see [the Groups and Sections description](/guides/api/resources/organizations/groups).




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /sections/{section_id}/groups/{group_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /sections/{section_id}/groups/{group_id}:
    get:
      tags:
        - Groups and Sections
      summary: Get Group
      description: >
        Get a group and it's associated business IDs.   

        For more information about the group system, see [the Groups and
        Sections description](/guides/api/resources/organizations/groups).
      operationId: getGroup
      parameters:
        - $ref: '#/components/parameters/path_section_id'
        - $ref: '#/components/parameters/path_group_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGroupItem'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    path_section_id:
      in: path
      name: section_id
      required: true
      schema:
        type: integer
      description: Section ID
    path_group_id:
      in: path
      name: group_id
      required: true
      schema:
        type: integer
      description: Group ID
  schemas:
    GetGroupItem:
      type: object
      properties:
        id:
          description: ID of the group
          type: integer
          example: 1
        name:
          description: Name of the group, must be unique
          type: string
          example: France
        has_puller:
          description: >-
            If the group is linked to a puller. If so, it's not possible to
            delete the group. Should you want to make any changes to a group
            connected to a puller, please contact support for assistance.
          type: boolean
        business_ids:
          description: list of business ids in the group
          type: array
          items:
            $ref: '#/components/schemas/BusinessId'
          example:
            - a1f0e2d3b4c5e6f7a8b9c0d1
            - 3f2e1d4c5b6a7f8e9d0c1a2
            - 0e1d2c3b4a5f6e7d8c9a0b1
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````